<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Dto;

final class LimitMappingDefinition
{
    private int $limit;
    private int $step;
    private int $offset;

    private function __construct(int $offset, int $step, int $limit)
    {
        $this->offset = $offset;
        $this->step = $step;
        $this->limit = $limit;
    }

    public static function fromArray(array $data)
    {
        return new self($data['offset'], $data['step'], $data['limit']);
    }

    public function getLimit(): int
    {
        return $this->limit;
    }

    public function getOffset(): int
    {
        return $this->offset;
    }

    public function getStep(): int
    {
        return $this->step;
    }
}
