<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\ErrorHandler;

abstract class AbstractErrorHandler implements ErrorHandlerInterface
{
    private array $configuration;

    /** @return array|mixed */
    public function getConfiguration(?string $key = null)
    {
        if (null !== $key) {
            if (!$this->hasConfiguration($key)) {
                throw new \RuntimeException(sprintf('Missing key %s in configuration', $key));
            }

            return $this->configuration[$key];
        }

        return $this->configuration;
    }

    public function setConfiguration(array $configuration): ErrorHandlerInterface
    {
        $this->configuration = $configuration;

        return $this;
    }

    public function hasConfiguration(string $key): bool
    {
        return array_key_exists($key, $this->configuration);
    }
}
